Skip to main content
POST
Bulk add contacts to segment

Authorizations

Authorization
string
header
required

API key authentication. Use your API key as the bearer token.

Path Parameters

id
string<uuid>
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json
contact_ids
string<uuid>[]

Array of contact IDs to add to the segment

Example:
emails
string<email>[]

Array of email addresses to add to the segment (will be looked up in contacts)

Response

Contacts added to segment

added
integer
required

Number of contacts successfully added to the segment

Example:

10

already_in_segment
integer
required

Number of contacts that were already in the segment

Example:

2

not_found
integer
required

Number of emails that were not found in the contacts list

Example:

1